# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/env /usr/bin/glib-gettextize /usr/bin/sqlite3 gcc-c++
# END SourceDeps(oneline)
%global snapshot 0

Name:       ibus-libpinyin
Version:    1.5.92
Release:    alt1_1
Summary:    Intelligent Pinyin engine based on libpinyin for IBus
License:    GPLv2+
Group:      System/Libraries
URL:        https://github.com/libpinyin/ibus-libpinyin
Source0:    http://downloads.sourceforge.net/libpinyin/ibus-libpinyin/%{name}-%{version}.tar.gz
%if %snapshot
Patch0:     ibus-libpinyin-1.5.x-head.patch
%endif

BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  libsqlite3-devel
BuildRequires:  libuuid-devel
BuildRequires:  opencc-devel
BuildRequires:  liblua5-devel
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libibus-devel >= 1.3
BuildRequires:  libpinyin-devel >= 0.8.91

# Requires(post): sqlite

Requires:   libpinyin >= 0.8.91
Requires:   libpinyin-data%{?_isa} >= 0.8.91

Obsoletes: ibus-pinyin < 1.4.0-17
Source44: import.info

%description
It includes a Chinese Pinyin input method and a Chinese ZhuYin (Bopomofo) 
input method based on libpinyin for IBus.

%prep
%setup -q
%if %snapshot
%patch0 -p1 -b .head
%endif

%build
%configure --disable-static \
           --enable-opencc \
           --disable-boost

# make -C po update-gmo
make %{?_smp_mflags}

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/ibus-setup-libpinyin.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/ibus-setup-libbopomofo.desktop

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_datadir}/applications/ibus-setup-libpinyin.desktop
%{_datadir}/applications/ibus-setup-libbopomofo.desktop
%{_libexecdir}/ibus-engine-libpinyin
%{_libexecdir}/ibus-setup-libpinyin
%{_datadir}/ibus-libpinyin/phrases.txt
%{_datadir}/ibus-libpinyin/icons
%{_datadir}/ibus-libpinyin/setup
%{_datadir}/ibus-libpinyin/base.lua
%{_datadir}/ibus-libpinyin/user.lua
%{_datadir}/ibus-libpinyin/db/english.db
%{_datadir}/ibus-libpinyin/db/strokes.db
%dir %{_datadir}/ibus-libpinyin
%dir %{_datadir}/ibus-libpinyin/db
%{_datadir}/ibus/component/*

%changelog
* Thu Mar 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.92-alt1_1
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.91-alt1_1
- update to new release by fcimport

* Tue Jan 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.93-alt1_4
- initial fc import

